RenderForm (gCube WS Mail Widget 1.7.2-SNAPSHOT API)
Date: 2015-02-13

org.gcube.portlets.widgets.wsmail.client.events

## Class RenderForm

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<RenderFormEventHandler>
    - - org.gcube.portlets.widgets.wsmail.client.events.RenderForm

-     public class RenderForm
      extends com.google.gwt.event.shared.GwtEvent<RenderFormEventHandler>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.gwt.event.shared.GwtEvent.Type<RenderFormEventHandler>` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderForm(boolean result)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(RenderFormEventHandler handler)`
    `com.google.gwt.event.shared.GwtEvent.Type<RenderFormEventHandler>` | `getAssociatedType()`
    `boolean` | `isSuccess()`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static com.google.gwt.event.shared.GwtEvent.Type<RenderFormEventHandler> TYPE

  - ### Constructor Detail

    - #### RenderForm

          public RenderForm(boolean result)

  - ### Method Detail

    - #### isSuccess

          public boolean isSuccess()

    - #### getAssociatedType

          public com.google.gwt.event.shared.GwtEvent.Type<RenderFormEventHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<RenderFormEventHandler>`

    - #### dispatch

          protected void dispatch(RenderFormEventHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<RenderFormEventHandler>`

Copyright © 2015. All Rights Reserved.